[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# Tfields.FindField

Find a field based on its name

## Declaration

Source position: db.pas line 1085

`public function Tfields.FindField(`
`const Value: String`
`):TField;`

## Arguments

`Value` |  | Fieldname to search for

## Function result

Field instance with FieldName matching Value

## Description

FindField searches the list of fields and returns the field instance whose FieldName property matches Value. The search is performed case-insensitively. If no field instance is found, then Nil is returned.

## See also

TFields.FieldByName |  | Find a field based on its name

The latest version of this document can be found at lazarus-ccr.sourceforge.net .